<section class="position-relative py-2 py-xl-3" id="login">
    <div class="container">
        <div class="row d-flex justify-content-center">
		
		    <div class="bs-icon-xl bs-icon-circle bs-icon-primary bs-icon my-4 d-flex justify-content-center">
                            <img src="../../../assets/images/logos/alfa.png" width=300px alt="logo">
                        </div>
						
            <div class="col-sm-8 col-md-6 col-xl-3">
                <div class="card mb-5 containerLogin">
                    
                        <form class="text-center" [formGroup]="loginForm" (ngSubmit)="login()" method="post" novalidate >
                            <div class="mb-2" >
                                <input type="email" class="form-control" formControlName="email" name="email" placeholder="E-mail" required>
                            </div>
                            <div class="mensajeValidacion" *ngIf="loginForm.get('email')?.errors && (loginForm.get('email')?.dirty || loginForm.get('email')?.touched)">
                                <div *ngIf="loginForm.get('email').errors?.['required']">Campo obligatorio</div>
                                <div *ngIf="loginForm.get('email').errors?.['email']">Mail no válido</div>
                            </div>
                            <div class="mb-2">
                                <input type="password" class="form-control" formControlName="contrasena" name="contrasena" placeholder="Contraseña" required>
                            </div>
                            <div class="mb-3 mensajeValidacion" *ngIf="loginForm.get('contrasena')?.errors && (loginForm.get('contrasena')?.dirty || loginForm.get('contrasena')?.touched)">
                                <div *ngIf="loginForm.get('contrasena').errors?.['required']">Campo obligatorio</div>
                                <div *ngIf="loginForm.get('contrasena').errors?.['minlength']">La constraseña debe tener mínimo 8 caracteres</div>
                            </div>
                            
                            <div class="mb-2">
                                <button class="btn btn-primary d-block w-100" type="submit">Continuar</button>
                            </div>
                            <div class="mb-3">
                                <button class="btn btn-outline-primary d-block w-100" type="button" routerLink="/auth/register">Crear cuenta</button>
                            </div>
                            <a routerLink="/auth/recuperar-contrasena" class="text-muted">¿Olvidó su contraseña?</a>
                        </form>
                </div>
            </div>
        </div>
    </div>
</section>
